Page MenuHomePhabricator

Bring in Flow's dependencies via composer
Closed, ResolvedPublic

Description

Flow depends on two php libraries: pimple, and lightncandy.

Pimple is a "simple PHP Dependency Injection Container". Flow uses Pimple 1.0.2, and a modified version of lightncandy 0.15.

The OOui JS Wikimedia Design Style Guide also uses Pimple, but a conflicting version (T88321).

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterMove pimple to composer dependency
mediawiki/vendor : masterAdd pimple/pimple v2.1.1 for Flow

Event Timeline

Legoktm created this task.Nov 14 2014, 10:37 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Librarization.
Legoktm moved this task to Untriaged on the Librarization board.
Legoktm changed Security from none to None.
Legoktm added a subscriber: Legoktm.
bd808 triaged this task as Medium priority.Nov 18 2014, 3:25 AM
fbstj updated the task description. (Show Details)Nov 28 2014, 4:58 AM
Spage updated the task description. (Show Details)Feb 23 2015, 4:24 AM

Lightncandy is done. It's in core through composer.json (gerrit 181708) and with T86241 Flow uses core's version (gerrit 188534).

That leaves Pimple. Do we need an RFC to rubber-stamp or promote its use beyond the two extensions?

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 27 2015, 3:56 AM
Reedy claimed this task.Oct 15 2016, 4:56 PM
Reedy added a subscriber: Reedy.

Lightncandy is done. It's in core through composer.json (gerrit 181708) and with T86241 Flow uses core's version (gerrit 188534).
That leaves Pimple. Do we need an RFC to rubber-stamp or promote its use beyond the two extensions?

?

If it's needed by an extension, add it to the extensions composer.json in require, and then add it to the Wikimedia vendor repo. Doesn't need adding to MW core itself

https://packagist.org/packages/pimple/pimple

https://github.com/wikimedia/mediawiki-extensions-Flow/commit/4778bb9405e32576b832d03f87af8efbf082154d says it's 2.1.1, so might aswell bring that in by default, and then look at bumping to 3 later

I'll jfdi :)

Change 316073 had a related patch set uploaded (by Reedy):
Add pimple/pimple v2.1.1 for Flow

https://gerrit.wikimedia.org/r/316073

Change 316074 had a related patch set uploaded (by Reedy):
Move pimple to composer dependancy

https://gerrit.wikimedia.org/r/316074

Change 316073 merged by jenkins-bot:
Add pimple/pimple v2.1.1 for Flow

https://gerrit.wikimedia.org/r/316073

Change 316074 merged by jenkins-bot:
Move pimple to composer dependency

https://gerrit.wikimedia.org/r/316074

Legoktm closed this task as Resolved.Oct 15 2016, 8:03 PM